Functions
Configuration
kvmlib

## Functions
kvmStatus | kvmKmfReadConfig (kvmHandle h, void *buf, size_t buflen, size_t *actual_len)
kvmStatus | kvmKmfWriteConfig (kvmHandle h, void *buf, size_t buflen)

## Detailed Description

## Function Documentation

## ◆ kvmKmfReadConfig()

kvmStatus kvmKmfReadConfig | ( | kvmHandle | h,
|  | void * | buf,
|  | size_t | buflen,
|  | size_t * | actual_len
| ) |  |

Read binary configuration data (param.lif) from a KMF file.

Parameters

  [in] | h | An open kvmHandle.
  [out] | buf | A pointer to buffer where the configuration (param.lif) will be written.
  [in] | buflen | The length of the buffer buf.
  [out] | actual_len | The actual length of the configuration written to buf.

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure

## ◆ kvmKmfWriteConfig()

kvmStatus kvmKmfWriteConfig | ( | kvmHandle | h,
|  | void * | buf,
|  | size_t | buflen
| ) |  |

Write binary configuration data (param.lif) to a KMF file.

Parameters

  [in] | h | An open kvmHandle.
  [in] | buf | A pointer to buffer containing the configuration (param.lif) to be written.
  [in] | buflen | The length of the buffer buf.

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure